# Python Content Filter

[![Build Status](https://travis-ci.com/MrDogeBro/content_filter.svg?token=K4YBJnRBuxqyhssWYMJt&branch=master)](https://travis-ci.com/github/MrDogeBro/content_filter) [![PyPi version](https://img.shields.io/pypi/v/content-filter.svg)](https://pypi.python.org/pypi/content-filter/) [![PyPI pyversions](https://img.shields.io/pypi/pyversions/content-filter.svg)](https://pypi.python.org/pypi/content-filter/) [![](https://img.shields.io/github/license/MrDogeBro/content_filter.svg)](https://github.com/MrDogeBro/content_filter/blob/master/LICENSE)

Content Filter is a basic but robust content filter for python. Content Filter allows you to easily detect language in a message and offers great customizability.

## Features

- Ability to have different levels of filtration.
- Can ignore repeated characters and infer certain characters aliases.
- Converts non-english characters to their english equivalents such as ç to c.
- Ignores non-printing characters.
- Easily and very customizable.
- Easy to get up and running.
- No third-party dependencies.

## Installation

**Python 3.4 or higher is required**

To install Content Filter, enter the following command in any sort of terminal window or command prompt.

```bash
# Linux/OSX
python3 -m pip install content-filter

# Windows
py -3 -m pip install content-filter
```

## Links

- [Documentation](https://content-filter.readthedocs.io/en/latest/)

## Contributing

If you are interested in contributing to Content Filter, please check out our [contribution guide](https://github.com/MrDogeBro/content_filter/blob/master/CONTRIBUTING.md) before you get started. Thanks for your interest!

## License

The Content Filter module for Python is licensed under an [MIT license](https://github.com/MrDogeBro/content_filter/blob/master/LICENSE).
